Subject: Re: bug#12198: automake 1.12.3 self-tests failure: t/distcheck-override-infodir

From: Simon Josefsson <[email-masked]>
Date: Wed, 15 Aug 2012 09:35:10 +0200

Stefano Lattarini <[email-masked]> writes:

> On 08/14/2012 03:38 PM, Peter Rosin wrote:
>> On 2012-08-14 15:14, Simon Josefsson wrote:
>>> Hi.  It builds and passes self-checks except for the
>>> t/distcheck-override-infodir test.  Output below.
>>>
>>> /Simon
>>>
>>> FAIL: t/distcheck-override-infodir
>> 
>> A post is (soon) available in automake-patches, I posted it
>> 10 minutes before seeing your report but it hasn't gone full
>> circle yet.

Thanks!

>> Stefano: How did this one slip through your pre-release
>> checks?
>>
> Now, that is a good question...  Ah, the test was skipped because
> 'install-info' wasn't installed on the system where I did the last
> test before pushing :-/
>
> Maybe, in the future, it would be a good idea to refrain from
> last-minute changes just to pacify some overly eager maintainer
> check ...

Maybe you could include a test for whether 'install-info' is available
in your release scripts?  That would help to avoid this ever happening
again.  I find such tests useful, because I usually forget about
checking such things manually sooner or later.

/Simon